Package: io.vertx.groovy.ext.shell.command

## [Groovy] Class Command

- io.vertx.groovy.ext.shell.command.Command

- A Vert.x Shell command, it can be created from any language using the CommandBuilder.command or from a Java class using Command.create

- - ### Constructor Summary

    Constructors
    Constructor and description
    `Command (java.lang.Object delegate)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `CLI` | `cli()` @return Returns: the command line interface, can be null
    `void` | `complete(Completion completion)` Perform command completion, when the command is done completing it should call or )} method to signal completion is done.
    `Process` | `createProcess()` Create a new process with empty arguments.
    `Process` | `createProcess(java.util.List<CliToken> args)` Create a new process with the passed arguments.
    `java.lang.Object` | `getDelegate()`
    `java.lang.String` | `name()` @return Returns: the command name

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### Command(java.lang.Object delegate)

  - ### Method Detail

    - #### CLI cli()

      Returns:
        the command line interface, can be null

    - #### void complete(Completion completion)

      Perform command completion, when the command is done completing it should call or )} method to signal completion is done.

      Parameters:
        `completion` - the completion object

    - #### Process createProcess()

      Create a new process with empty arguments.

      Returns:
        the process

    - #### Process createProcess(java.util.List<CliToken> args)

      Create a new process with the passed arguments.

      Returns:
        the process
      Parameters:
        `args` - the process arguments

    - #### java.lang.Object getDelegate()

    - #### java.lang.String name()

      Returns:
        the command name